Bug 499920 - udev hasn't rules to my 3g usb modem
udev hasn't rules to my 3g usb modem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: usb_modeswitch (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: mail@romal.de
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 19:20 EDT by iarly selbir
Modified: 2010-06-28 08:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsusb -v from my box with f10 (15.21 KB, application/octet-stream)
2009-05-09 12:54 EDT, iarly selbir
no flags Details
lsusb -v from my laptop with f11 preview (49.49 KB, application/octet-stream)
2009-05-09 12:55 EDT, iarly selbir
no flags Details
Messsages when I connected until I can't to connected anymore (13.06 KB, application/octet-stream)
2009-05-20 07:25 EDT, iarly selbir
no flags Details

  None (edit)
Description iarly selbir 2009-05-08 19:20:19 EDT
Description of problem:

On my fedora 10 box, I connect to internet just plugging my 3g modem on usb port and clicking on GSM Connection that is created on nm applet, but in my laptop with f11p this doesn't work, looking on /var/log/messages I see that modem is detected but don't see any message from networkmanager creating the GSM connection like happens on the f10 box.

Version-Release number of selected component (if applicable):

F11 preview - fully updated
kernel-PAE-2.6.29.2-126.fc11.i686
NetworkManager-0.7.1-3.git20090414.fc11.i586
Modem ZTE Aiko  82d

How reproducible:
Always

Steps to Reproduce:
1. Plug modem to usb port
2. Click on GSM connection ( if appears )
3.
  
Actual results:
NM isn't creating or detecting the modem and isn't creating the GSM connection

Expected results:
Appears the GSM connection available on NM-applet

Additional info:

lsusb shows the mode the same way that appears on f10

I pasted two pastebin 

F10 - http://fpaste.org/paste/10809
F11p - http://fpaste.org/paste/10813
Comment 1 Niels Haase 2009-05-09 06:38:15 EDT
Thank you for the bug report.

It looks like more like a kernel or HAL issue since NM seams to have no change to deal with the GSM Modem on F11 since it's only in the USB storage modus. This prevents NM from using the GSM functionality for the modem.

Anyway, can you please attach the output of '/sbin/lsusb -v' for our modem?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 iarly selbir 2009-05-09 12:54:54 EDT
Created attachment 343224 [details]
lsusb -v from my box with f10

Follow lsusb -v output from my desktop with f10box
Comment 3 iarly selbir 2009-05-09 12:55:53 EDT
Created attachment 343225 [details]
lsusb -v from my laptop with f11 preview

Follow lsusb output from my machine with f11 preview
Comment 4 iarly selbir 2009-05-09 12:58:45 EDT
I did this question on f-t-l about the component to file this bug.


Thanks in advance.
Comment 5 iarly selbir 2009-05-19 23:00:58 EDT
After updates today( I guess ), it works again.

do you have some last feedback of me, if not, can close it.

Thanks so much.
Comment 6 iarly selbir 2009-05-20 07:24:56 EDT
Sorry, but it isn't working nice yet.

Yesterday I got to connect but after approximately five minutes I was disconnected, I connected again and again my connection was disconnected.

I'm attaching the messages log of when I connected until I can't to connect anymore.

Thanks in advace.

Obs: I noticed my system low when I was connected.
Comment 7 iarly selbir 2009-05-20 07:25:49 EDT
Created attachment 344786 [details]
Messsages when I connected until I can't to connected anymore
Comment 8 iarly selbir 2009-05-21 20:00:09 EDT
This is a problem of udev that hasn't rules to my modem, after put it on /etc/udev/rules.d/my_mode_name:

SUBSYSTEM=="block", \
ACTION=="add", \
SYSFS{idVendor}=="19d2", \
SYSFS{idProduct}=="2000", \
OPTIONS="ignore_device"

SUBSYSTEM=="block", \
ACTION=="add", \
SYSFS{idVendor}=="19d2", \
SYSFS{idProduct}=="0001", \
OPTIONS="ignore_device"

SUBSYSTEM=="usb", \
SYSFS{idVendor}=="19d2", \
SYSFS{idProduct}=="0001", \
RUN+="/sbin/modprobe usbserial vendor=0x19d2 product=0x0001"

SUBSYSTEM=="usb", \
SYSFS{idVendor}=="19d2", \
SYSFS{idProduct}=="2000", \
RUN+="/sbin/modprobe usbserial vendor=0x19d2 product=0x2000"

run
# udevadm control --reload-rules

unplug and plug the modem, it was identified by udev and NetworkManager


I will go change this bug to udev

Thanks anyway
Comment 9 Dan Williams 2009-05-21 23:54:19 EDT
You really don't want usbserial actually.  Your card is already supported by the 'option' module, which provides *much* faster data speeds than usbserial can.

Support for the Onda MSA501HS and MT503HS was added way back in 2008 already.

Looks like something just need to handle the storage device here, like udev-extras or usb_modeswitch.
Comment 10 Bug Zapper 2009-06-09 11:30:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Dan Williams 2009-12-04 23:11:35 EST
Try installing usb_modeswitch; if that doesn't work to flip the modem to modem-mode then we need to fix usb_modeswitch.
Comment 12 Sergio Monteiro Basto 2009-12-05 02:42:35 EST
add to /lib/udev/rules.d/61-option-modem-modeswitch.rules: 

ATTRS{idVendor}=="19d2", ATTRS{idProduct}=="2000", RUN+="modem-modeswitch -v 0x%s{idVendor} -p 0x%s{idProduct} -t option-zerocd"

I confused modem-modeswitch and usb_modeswitch, using 
just modem-modeswitch that came with udev seems to work.  

please see bug #496099
Comment 13 Dan Williams 2009-12-07 02:40:28 EST
(In reply to comment #12)
> add to /lib/udev/rules.d/61-option-modem-modeswitch.rules: 
> 
> ATTRS{idVendor}=="19d2", ATTRS{idProduct}=="2000", RUN+="modem-modeswitch -v
> 0x%s{idVendor} -p 0x%s{idProduct} -t option-zerocd"
> 
> I confused modem-modeswitch and usb_modeswitch, using 
> just modem-modeswitch that came with udev seems to work.  
> 
> please see bug #496099  

NO!  Do not add anything to 61-option-modeswitch which is *not* an Option NV device.  That rule will specifically cause problems with most ZTE devices becuase the modeswitch method that Option NV devices use is not the same as what ZTE devices use.  On 2.6.31 kernels, that rule will cause the modem to never be correctly recognized.

The correct place for any modeswitching rules is *usb_modeswitch*.
Comment 14 Sergio Monteiro Basto 2009-12-08 17:44:13 EST
(In reply to comment #13)
> (In reply to comment #12)
> > add to /lib/udev/rules.d/61-option-modem-modeswitch.rules: 
> > 
> > ATTRS{idVendor}=="19d2", ATTRS{idProduct}=="2000", RUN+="modem-modeswitch -v
> > 0x%s{idVendor} -p 0x%s{idProduct} -t option-zerocd"
> > 
> > I confused modem-modeswitch and usb_modeswitch, using 
> > just modem-modeswitch that came with udev seems to work.  
> > 
> > please see bug #496099  
> 
> NO!  Do not add anything to 61-option-modeswitch which is *not* an Option NV
> device.  That rule will specifically cause problems with most ZTE devices
> becuase the modeswitch method that Option NV devices use is not the same as
> what ZTE devices use.  On 2.6.31 kernels, that rule will cause the modem to
> never be correctly recognized.
> 
> The correct place for any modeswitching rules is *usb_modeswitch*.  

Hello, and add to /etc/udev/rules.d/70-persistent-cd.rules ? like this , is the same question ? 

ACTION=="add", ATTRS{idVendor}=="19d2", ATTRS{idProduct}=="2000", RUN+="modem-modeswitch -v 0x%s{idVendor} -p 0x%s{idProduct} -t option-zerocd"

It works (very well) for my device 19d2:0001 on kernel 2.6.31.6-145.fc12.i686.PAE. 

But the thing is, why those ztes, ONDAs etc, works out of the box on F10 and need some modeswith on 11 and 12. what I want is the people plug this devices out of the box like in 10 . 

usb_modeswith after, add rules on udev, we also have to edit /etc/usb_modeswitch.conf and choose the right options !
Comment 15 Dan Williams 2009-12-08 22:01:59 EST
Sorry if I wasn't clear enough.  Do *NOT* use modem-modeswitch with any non-Option device.  Only use modem-modeswitch with USB devices with a vendor ID of 0af0.  Your device is a ZTE device, not an Option device.

modem-modeswitch only has the code for Option modeswitching, which is completely different than ZTE modeswitching.  usb_modeswitch knows about about methods and thus you should use usb_modeswitch and configure it in the manner which usb_modeswitch gets configured for ZTE devices.

Again, modem-modeswitch should *only* be used for Option NV (USB vendor id 0af0) devices.  Nothing else.
Comment 16 Sergio Monteiro Basto 2009-12-09 05:33:29 EST
Thanks for yours extensive explanation , I truly appreciate learn a little more about this. 

But still don't have any clue why those ztes, ONDAs etc, works out of the box on F10 .

Thanks
Comment 17 Axel Thimm 2010-02-16 03:38:39 EST
(In reply to comment #15)
> Sorry if I wasn't clear enough.  Do *NOT* use modem-modeswitch with any
> non-Option device.  Only use modem-modeswitch with USB devices with a vendor ID
> of 0af0.  Your device is a ZTE device, not an Option device.

Should one still use the option module for ZTE though, or should one resort to usbserial?

> modem-modeswitch only has the code for Option modeswitching, which is
> completely different than ZTE modeswitching.  usb_modeswitch knows about about
> methods and thus you should use usb_modeswitch and configure it in the manner
> which usb_modeswitch gets configured for ZTE devices.
> 
> Again, modem-modeswitch should *only* be used for Option NV (USB vendor id
> 0af0) devices.  Nothing else.    

Sergio, do you have any workaround for F12 you could add to this ticket? Probably many Fedora users on their efforts to get this modem working will stumble over this report. Thanks!
Comment 18 Sergio Monteiro Basto 2010-02-16 16:19:27 EST
I use the recommend way :
vi /etc/udev/rules.d/70-persistent-cd.rules and add 

ACTION=="add", ATTRS{idVendor}=="19d2", ATTRS{idProduct}=="2000",
RUN+="/usr/bin/usb_modeswitch"

vi /etc/usb_modeswitch.conf and uncomment: 
DefaultVendor= 0x19d2
DefaultProduct= 0x2000 
TargetVendor=   0x19d2
TargetProduct=  0x0001              
MessageContent="55534243123456780000000000000600000000000000000000000000000000" 

if you need unlock PIN install comgt from fedora 11, not shipped in 12 ( it is other history) and type :
COMGTPIN=1234 /usr/bin/comgt PIN -d /dev/ttyUSB0

with updates:
ModemManager-0.3-1.git20100119.fc12.i686.rpm
NetworkManager-0.7.997-2.git20091214.fc12.i686.rpm

if you 
service NetworkManager stop
killall -TERM modem-manager
service NetworkManager start

with unbloked PIN ZTE will be detected by NetworkManager , and rulez.
Comment 19 Dan Williams 2010-02-16 17:52:17 EST
(In reply to comment #17)
> (In reply to comment #15)
> > Sorry if I wasn't clear enough.  Do *NOT* use modem-modeswitch with any
> > non-Option device.  Only use modem-modeswitch with USB devices with a vendor ID
> > of 0af0.  Your device is a ZTE device, not an Option device.
> 
> Should one still use the option module for ZTE though, or should one resort to
> usbserial?

Yes, almost all 3G devices should be using option.ko (or for Sierra Wireless devices, sierra.ko) as the actual serial driver since its optimized for higher-bandwidth communication.  usb-serial won't give great results on higher-speed connections like EVDO, HSDPA, HSPA+, etc.

option.ko hasn't been specifically for "Option NV" devices for a long time; it should probably be renamed to 'hs-modem.ko' or something (High-Speed modem) instead.
Comment 20 Bug Zapper 2010-04-27 10:13:56 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Sergio Monteiro Basto 2010-06-27 21:02:58 EDT
Hi, On Fedora 13 , My ZTE works "out of the box" , and even ask for pin to unlock device , good work ! 

Don't need edit usb_modeswitch.conf neither change udev rules . 

Thanks,
Comment 22 Bug Zapper 2010-06-28 08:27:18 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.